POSTGet Token Pair by Asset Type

Data APIhttps://web3.nodit.io/v1/aptos/mainnet/token/getTokenPairByAssetType

Retrieves token pair information for a specific asset type.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
assetTypestringrequired

Parameter specifying the asset type to query. The asset type must be entered as a 64-character hexadecimal string (including "0x") using one of the following formats:

  • Coin: Asset ID in Struct format such as "0x1::aptos_coin::AptosCoin"
  • Fungible Asset: Object address that owns the Token Metadata
Responses
coinAssetTypestringrequired

A field that represents the type of the asset belonging to the Coin standard. The Coin standard is provided in 'moduleAddress::moduleName::structName' format.

예: 0x1::aptos_coin::AptosCoin

fungibleAssetTypestringrequired

A field that represents the type of the asset belonging to the Fungible Asset standard. The Fungible Asset standard is provided as a 64-character hexadecimal string prefixed with 0x; the Object address that owns the metadata of the asset is provided.

예: 0xbae207659db88bea0cbead6da0ed00aac12edcdda169e591cd41c94180b46f3b

linkedAssetTypestringrequired

A common identifier that links Coin and Fungible Asset when they have been migrated. This field serves as a unified key that groups Coin/Fungible Asset into a single asset unit for identification and retrieval, providing the Object address where the migrated Fungible Asset's Metadata is stored.

예: 0xbae207659db88bea0cbead6da0ed00aac12edcdda169e591cd41c94180b46f3b

X-API-KEY
RequestCU80
cURL
curl -X POST "https://web3.nodit.io/v1/aptos/mainnet/token/getTokenPairByAssetType" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "assetType": "0x1::aptos_coin::AptosCoin"
}'
Response
Example · 200
{
  "coinAssetType": "0x1::aptos_coin::AptosCoin",
  "fungibleAssetType": "0xbae207659db88bea0cbead6da0ed00aac12edcdda169e591cd41c94180b46f3b",
  "linkedAssetType": "0xbae207659db88bea0cbead6da0ed00aac12edcdda169e591cd41c94180b46f3b"
}